#!/bin/bash

cd "$( dirname "${BASH_SOURCE[0]}" )"

zenity --question --text "Start JD Alert?";
if [ $? == 0 ] ; then

# SETTING UP JD_ALERT
JD_MAIN='"sun-awt-X11-XEmbeddedFramePeer" "jd-Main"'
USER_DIALOG='"sun-awt-X11-XDialogPeer" "jd-Main"'
ERROR_MESSAGE="xwininfo: error:"
BEEP="sounds/alert.wav"

## checking if JD is started
jd_open=true

# STARTING JD_ALERT
while $jd_open
do
	RUN=`xwininfo -root -tree`
	if [ -z "`echo ${RUN} | grep "${ERROR_MESSAGE}"`" ] ; then
		if [ -n "`echo ${RUN} | grep "${USER_DIALOG}"`" ] ; then
			aplay -q "${BEEP}" &
		fi

		# checking if JD has been closed
		if [ -n "`echo ${RUN} | grep "${JD_MAIN}"`" ] ; then
			jd_open=true
		else
			jd_open=false
		fi
	# debug
	else
		zenity --timeout 5 --info --text "Error!"
	# debug end
	fi

	sleep 5
done
# debug
#echo ${RUN}
# debug end
zenity --info --text "JD Alert has been closed"
fi
